/*
   FILNAME:       PGX_Storage.cpp

   PURPOSE:   

   CREATED BY:    Per Ghosh
   ENVIRONMENT:	Visual C++


INFO:
*/

#include "StdAfx.h"

#include "PGX_Storage.h"

void pgx_empty_ptrarrayToSTATSTG( CPtrArray& ptrarray )
{
   int      iCounter = ptrarray.GetSize();
   STATSTG* pstatstg;

   while( iCounter )
   {
      iCounter--;

      pstatstg = (STATSTG*)ptrarray[iCounter];

      if( pstatstg->pwcsName != NULL )
      {
         CoTaskMemFree(pstatstg->pwcsName);
      }

      delete pstatstg;
   }

   ptrarray.RemoveAll();
}